import React from 'react';
import { Typography } from 'antd';
import classNames from 'classnames';
import "./ReadPretty.less";
var Link = Typography.Link;
var UrlReadPretty = function UrlReadPretty(props) {
  var value = props.value,
    renderMode = props.renderMode;
  return /*#__PURE__*/React.createElement(Link, {
    className: classNames('pisell-url-read-pretty', {
      'pisell-url-read-pretty-table-view': renderMode === 'tableView'
    }),
    href: value
  }, value);
};
export default UrlReadPretty;